Support » Plugin: WooCommerce Wholesale Discount » Not compatible with wp 5.5

  • Resolved freedomway321

    (@freedomway321)


    Hi,

    With wordpress new version 5.5 and after updating all plugins, a lot of issues within the dashboard are caused by this plugin, mainly some buttons & tabs are not responding. A product description box does not load at all. Also, the dashboard side options do not expand by hovering anymore.
    Changed my Avada theme to one of the wp themes did not have any effect. Disabling all plugins except for wholesale plugin again did not fix the issues. Once I disable wholesale plugin all issues are fixed.
    It seems an issue with JavaScript or jQuery of the plugin loading on the dashboard as described on the following link:
    https://updraftplus.com/do-you-have-a-javascript-or-jquery-error/

Viewing 10 replies - 1 through 10 (of 10 total)
  • I have the same issue.

    https://imgur.com/a/hsbNtWo

    Hey Support.
    We are having the samme issue. We would really appreciate if you would fix the error.

    Thanks in advance

    Hey Support

    Any news on this issue? Looking forward to getting this fixed.
    Thank you very much.

    Thread Starter freedomway321

    (@freedomway321)

    Hi fellows,

    It seems we will neither get a reply nor a fix as soon as we expected, so I will suggest a workaround that softened the issue for me.
    When you need to work at your back-end then first deactivate the plugin & finish your work then reactivate it later, though I needed to update one of the products that I was using the plugin with so I had to switch to the “WooCommerce Combo Offers” plugin instead, and had to do the same to all products that were using the whole-sale plugin or any new product that I’m adding on all.
    Honestly, if I had the time to change all my products that are using the whole-sale plugin I would do it as it seems their action time-frame can be a whole month.
    Hope that would help.

    I use my backend a lot, so that work around does not help.

    I switched to “WooCommerce Tiered Price Table”, replacing the rules was quick (I only had 1 product) and I got the benefit of the price table.

    They offer a premium version, but the free one was good enough

    Thanks for the replies. I just backrolled wordpress to 5.4 instead which have fixed it for me. So far at least. Now I can work on the site until a fix is implemented.

    If a fix is not done I will look info WooCommerce Tiered Price Table

    • This reply was modified 1 year, 4 months ago by xpyre.

    Hey Friends,

    Greetings! I hope you guys are doing well!

    Don’t know when the author will reply on this but I was facing the same issue and this problem is related to jQuery’s deprecated functions..

    I have found a quick fix for you. Since New WP 5.5 is not offering jquery migrate to perform like a bridge between the older version of jQuery and the newer version to fix this issue you can install: Enable jQuery Migrate Helper Plugin https://wordpress.org/plugins/enable-jquery-migrate-helper/ this will fix your problem in a minute.

    Thanks & have a wonderful day!

    Deepak Mahendru

    Thread Starter freedomway321

    (@freedomway321)

    Hi Deepak,

    Thank you so much, you saved me a lot of effort & time.

    Hi @freedomway321,

    I’m glad my answer helped you. Thank you! 🙂

    Plugin Author Minerva Infotech

    (@minervainfotech)

    Hi Everyone,

    First of all we are extremely sorry for inconvenience and late reply and we apologize for same. We have made the fixes updated the plugin. So you guys can update the plugin for fixes.

    Thanks

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Not compatible with wp 5.5’ is closed to new replies.